package common.item.tool;

import common.color.TextColor;
import common.entity.npc.EntityNPC;
import common.item.ItemStack;
import common.util.Vec3;
import common.world.AWorldServer;

public class ItemLightning extends ItemWand {
    public ItemLightning() {
        this.setColor(TextColor.NEON);
    }
    
    public void onUse(ItemStack stack, EntityNPC player, AWorldServer world, Vec3 vec)
    {
    	if(player.useMana(5))
    		world.strikeLightning(vec.xCoord - 0.5, vec.yCoord, vec.zCoord - 0.5, 0x532380, 230, true, player);
    }

    public boolean isMagnetic() {
    	return true;
    }
    
	public int getRange(ItemStack stack, EntityNPC player) {
		return 100;
	}
}
